Rated 4 out of 5 stars

Was working great... until today when I get this message:
"This web site needs a different Google Maps API key."

I'm (still) using FF3.5

This review is for a previous version of the add-on (7.0.1).